package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.facade.KlDiseaseFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author zhoutg
 * @Description:
 * @date 2021-03-19 14:52
 */
@RestController
@RequestMapping("/klDiseaseICDImport")
@Api(tags = { "诊断医保ICD编码和国临编码导入API" })
@SuppressWarnings("unchecked")
public class KlDiseaseImportController {

    @Autowired
    KlDiseaseFacade klDiseaseFacade;

    @ApiOperation(value = "诊断编码导入API[zhoutg]",
            notes = "")
    @PostMapping("/importDisease")
    @Transactional
    public RespDTO<String> importDiseaseIcd(@RequestParam("file") MultipartFile file) {
        klDiseaseFacade.importDiseaseIcd(file);
        return RespDTO.onSuc("ok");
    }
}
